<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number51</title>
</head>

<body>
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.51:</b> Write a JavaScript program to convert a given number to hours and minutes.</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	  <input type="number" id="num" placeholder="Enter The Number You Want to Convert" style="width: 250px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	  function generate(){
		  var con = + document.getElementById('num').value;
		  var hrs = Math.floor(con/60);
		  var mins = con%60;
		  
		  if (con>0){
			  document.getElementById('demo').innerHTML=
				  "This is the Result: <br>" + hrs +" Hours and " + mins + " Minutes";
		  } else {
			  document.getElementById('demo').innerHTML=
				  "Hours/Minutes couldn't have negative value";
		  }
	  }
	</script>
	
</body>
</html>
